function  Wireless5GDisplayAction(obj)
{
checkWireless5GOperationMode();
checkWireless5GMode();
checkWPS();
}
function checkWPS(){
if(!swm_WPS_Setup) document.getElementById("tr_wps").style.display = 'none';
}
function checkWireless5GOperationMode()//check items of Wireless Operation Mode
{
if(!swm_Wireless5GOperationMode)
{
document.getElementById("wifi_opmode").style.display = 'none';
}
else
{
objSelect=document.getElementById("WOpMode")//selection
if(!swm_Wireless5GOperationMode_APRouterMode)
{
for (var i = 0; i < objSelect.options.length; i++)
{
if (objSelect.options[i].value =="0")//AP Router Mode
{
objSelect.options.remove(i);
break;
}
}
}
if(!swm_Wireless5GOperationMode_APonlyMode)
{
for (var i = 0; i < objSelect.options.length; i++)
{
if (objSelect.options[i].value =="1")//AP only Mode
{
objSelect.options.remove(i);
break;
}
}
}
if(!swm_Wireless5GOperationMode_WDSHybridMode)
{
for (var i = 0; i < objSelect.options.length; i++)
{
if (objSelect.options[i].value =="2")//WDS Hybrid Mode
{
objSelect.options.remove(i);
break;
}
}
}
if(!swm_Wireless5GOperationMode_WDSonlyMode)
{
for (var i = 0; i < objSelect.options.length; i++)
{
if (objSelect.options[i].value =="3")//WDS only Mode
{
objSelect.options.remove(i);
break;
}
}
}
if(!swm_Wireless5GOperationMode_UniversalRepeater)
{
for (var i = 0; i < objSelect.options.length; i++)
{
if (objSelect.options[i].value =="5")//Universal Repeater
{
objSelect.options.remove(i);
break;
}
}
}
}
}
function checkWireless5GMode()//check items of Wireless Mode
{
if(!swm_Wireless5GMode)
{
document.getElementById("div_WIRELESSMODE").style.display = 'none';
}
else
{
objSelect=document.getElementById("id_wmode")//selection
if (!swm_Wireless5GMode_Aonly)// A only
{
for (var i = 0; i < objSelect.options.length; i++)
{
if (objSelect.options[i].value =="2")// A only
{
objSelect.options.remove(i);
break;
}
}
}
if (!swm_Wireless5GMode_Nonly)// N only
{
for (var i = 0; i < objSelect.options.length; i++)
{
if (objSelect.options[i].value =="11")// N only
{
objSelect.options.remove(i);
break;
}
}
}
if (!swm_Wireless5GMode_ANmixed)// A/N mixed
{
for (var i = 0; i < objSelect.options.length; i++)
{
if (objSelect.options[i].value =="8")// A/N mixed
{
objSelect.options.remove(i);
break;
}
}
}
if (!swm_Wireless5GMode_AANACmixed)// A/N/AC mixed
{
for (var i = 0; i < objSelect.options.length; i++)
{
if (objSelect.options[i].value =="14")// A/AN/AC mixed
{
objSelect.options.remove(i);
break;
}
}
}
}
}